Subject: Re: [PATCH v6] net: atlantic: always deep reset on pm op, fixing up my null deref regression

From: [email-masked]
Date: Tue, 10 May 2022 08:40:12 +0000

Hello:

This patch was applied to netdev/net.git (master)
by Paolo Abeni <[email-masked]>:

On Sun, 08 May 2022 00:36:46 +0000 you wrote:
> >From 18dc080d8d4a30d0fcb45f24fd15279cc87c47d5 Mon Sep 17 00:00:00 2001
> Date: Wed, 4 May 2022 21:30:44 +0200
> 
> The impact of this regression is the same for resume that I saw on
> thaw: the kernel hangs and nothing except SysRq rebooting can be done.
> 
> Fixes regression in commit cbe6c3a8f8f4 ("net: atlantic: invert deep
> par in pm functions, preventing null derefs"), where I disabled deep
> pm resets in suspend and resume, trying to make sense of the
> atl_resume_common() deep parameter in the first place.
> 
> [...]

Here is the summary with links:
  - [v6] net: atlantic: always deep reset on pm op, fixing up my null deref regression
    https://git.kernel.org/netdev/net/c/1809c30b6e5a

You are awesome, thank you!
-- 
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html